# \_get

Get a Task data.

### Parameters

#### id

The ID of the Task to get.

### Example

```
FM_api('Task_get', ['id' => '3']);
```

### Result

#### On Success

```
"{"privacy":"1","subject":"Email customer","due_date":"2018-10-02 17:00:11","id":"3","assigned_to":"82878","customer_id":"4","details":"Email to confirm job","status":"0","resolution":"","time_spent":"0","type":"1"}"
```

#### On Failure

If the task does not exist, then the result will be:

```
{"false"}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fieldmotion.com/fieldmotion-api-docs/task/_get.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
